/* SPDX-License-Identifier: MIT */
/* SPDX-FileCopyrightText: (c) Copyright 2025,2026 Andrew Bower <andrew@bower.uk> */

#ifndef _UTIL_H
#define _UTIL_H

extern int get_run_dir(void);
extern const char *get_run_path(void);
extern int ensure_dir(int dirfd, const char *path, int *fd, mode_t mode);
extern void close_run_dir(void);

#endif
